Subject: Re: kdemultimedia-3.3.2nb2.tgz
To: Robert Cates <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 04/06/2005 08:51:39
On Wed, 6 Apr 2005, Robert Cates wrote:

> I've tried to install kde-3.3.2 per ftp from
> /pub/NetBSD/packages/2.0/i386/All/ and end up with an incomplete
> installation - the kdemultimedia-3.3.2nb2.tgz package fails because one
> or more of the xine packages fail, because win32-codecs-??? fails.

I brought this up before:

 packages with NO_BIN_ON_* restricted dependencies (like xine-lib

 add a xine-lib definition for XINE_USE_WIN32_CODECS ?

Sorry Robert that is has now been almost a year and this was not fixed
yet. (I should have send-pr'd it.)

There is not a MAINTAINER for xine-lib. I don't know if removing the WIN32
codecs will make xine build so it can't later accept the plugins later. (I
have not tried myself.) Does anyone know?

Or maybe it is okay to install xine with the proprietary support but don't
actually depend on the win32-codecs package? We could suggest that it be
added in the MESSAGE.

Also see
  packages to install restricted files instead of NO_BIN_ON_*

Robert for your workaround, use pkg_add -f (-f to force) the installation
of xine-lib. And then you should be able to continue your install.

 Jeremy C. Reed

p.s. My family used the xine with the win32 codecs a few days ago to
listen to a live Windows Media stream for a religious conference. It
worked great!